Skip to main content
POST
/
datasets
/
v3
/
scrape
Collect Sellers Info by URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>"
    }
  ]
}
'
[
  {
    "seller_name": "Electronics Hub",
    "seller_url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7",
    "seller_id": "A2FE2Y3KEQLBV7",
    "rating": 4.5,
    "reviews_count": 8920,
    "business_name": "Electronics Hub LLC",
    "business_address": "123 Commerce St, Seattle, WA 98101"
  }
]

Query Parameters

dataset_id
string
default:"gd_lhotzucw1etoe5iw1k"
required
The dataset ID used for this request.
Must be set to gd_lhotzucw1etoe5iw1k to collect Sellers Info by URL data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7"}
  ]
}
[
  {
    "seller_name": "Electronics Hub",
    "seller_url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7",
    "seller_id": "A2FE2Y3KEQLBV7",
    "rating": 4.5,
    "reviews_count": 8920,
    "business_name": "Electronics Hub LLC",
    "business_address": "123 Commerce St, Seattle, WA 98101"
  }
]